function bench_aXpbY(LN,d,nbruns)
%  clear all
%  close all
%  
%  LN=10^3*[2:2:10];
%  d=randi([2,10],1,2);
  setfun=@(varargin) fc_linalg3D.benchs.set_aXpbY(varargin{:});

  Lfun={@(varargin) fc_linalg3D.aXpbY_Cpt(varargin{:}), ...
        @(varargin) fc_linalg3D.aXpbY_Mat(varargin{:}), ...
        @(varargin) fc_linalg3D.aXpbY_Vec(varargin{:}), ...
        @(varargin) fc_linalg3D.aXpbY_Cvt(varargin{:}), ...
        @(varargin) fc_linalg3D.aXpbY_Nat(varargin{:})};

  TypesArray=fc_linalg3D.getTypesArray();

  compfun=@(o1,o2) max(max(max(abs(o1-o2))))+(size(o2,2)~=d(1)) + (size(o2,3)~=d(2)) ;

  for type=TypesArray
    fc_bench.bench(Lfun,setfun,LN,'d',d,'nbruns',nbruns,'compfun',compfun,'ltype','array3d','rtype',type{1},'labelsinfo',true)
    fc_bench.bench(Lfun,setfun,LN,'d',d,'nbruns',nbruns,'compfun',compfun,'rtype','array3d','ltype',type{1},'labelsinfo',true)
  end
end
