function bench_ebyebinaryop(LN,d,nbruns)
  funs={'plus','minus','times','ldivide','rdivide','power'};
  versions={'Cpt','Mat','Vec','Cvt','Nat'};
  %  LN=10^3*[2:2:10];
  %  d=randi([2,5],1,2);
  %  nbruns=1;
  setfun=@(varargin) fc_linalg3D.benchs.set_ebye(varargin{:});
  nv=length(versions);
    
  for k=1:length(funs)
    name=funs{k};
    eval(['funop=@',name,';']);
    Comments={'# Benchmarking fc_linalg3D.ebye.binaryop_* functions with\n', ...
              ['#     <op> = ',name,'\n']};
    sLfun='{';
    for i=1:nv
      eval(sprintf('%s_%s=@(varargin) fc_linalg3D.ebye.binaryop_%s(varargin{:},funop);',name,versions{i},versions{i}));
      sLfun=[sLfun,sprintf('%s_%s',name,versions{i})];
      if i<nv, sLfun=[sLfun,','];end
    end
    sLfun=[sLfun,'}'];
    Lfun=eval(sLfun);

    compfun=@(o1,o2) max(max(max(abs(o1-o2)))) ;
    Ltype={'array3d','array2d','array1d','constant'};
    for i=1:4
      fc_bench.bench(Lfun,setfun,LN,'d',d,'ltype','array3D','rtype',Ltype{i},'nbruns',nbruns,'compfun',compfun,'comment',Comments)
    end
    for i=2:4
      fc_bench.bench(Lfun,setfun,LN,'d',d,'ltype',Ltype{i},'rtype','array3D','nbruns',nbruns,'compfun',compfun,'comment',Comments)
    end
  end
end
