function A=randi(N,m,n,varargin)
  % Return a 3D-array  with random integers in the range a:b.
  %   By default a=1 and b=10.
  p = inputParser;
  p.addParamValue('a',1,@isscalar); % 
  p.addParamValue('b',10,@isscalar); %
  p.parse(varargin{:});
  R=p.Results;
  A=randi([R.a R.b],N,m,n);
end
