function D = detLaplace_Vec(A)
  assert(fc_linalg3D.is3Darray(A));
  [N,m,n]=size(A);
  assert( m==n )
 % if m==1, D=A;return; end
  if m==2, D=A(:,1,1).*A(:,2,2) - A(:,1,2).*A(:,2,1); return; end   
  D=zeros(N,1);
  for j = 1:m
    D = D+(-1)^(j+1)*A(:,1,j).*fc_linalg3D.det.detLaplace_Vec(A(:,2:m, [1:j-1, j+1:m]));
  end
end
